Subject: Re: [PATCH 2/2] netcons: Add udp send fail statistics to netconsole

From: Breno Leitao <[email-masked]>
Date: Wed, 28 Aug 2024 08:24:56 -0700

Hello Maksym,

On Wed, Aug 28, 2024 at 11:03:09AM -0400, Maksym Kutsevol wrote:

> > Stats as an array are quite hard to read / understand

> I agree with that.
> I couldn't find examples of multiple values exported as stats from
> configfs. Only from sysfs,
> e.g. https://www.kernel.org/doc/Documentation/block/stat.txt, which
> describes a whitespace
> separated file with stats.
> 
> I want to lean on the opinion of someone more experienced in kernel
> dev on how to proceed here.
> - as is
> - whitespace separated like blockdev stats
> - multiple files and stop talking about it? :)

Do we really need both stats/numbers here? Would it be easier if we just have
a "dropped_packet" counter that count packets that netconsole dropped
for one reason or another?

I don't see statistics for lack of memory in regular netdev interfaces.
We probably don't need it for netconsole.